Function CreatePath( strPath )
	On Error Resume Next

	Dim oFS
	
	Set oFS = CreateObject( "Scripting.FileSystemObject" )
	
	If oFS.FolderExists( strPath ) = vbFalse Then
'		MsgBox "The folder " + strPath + " does not exist" + vbCrLf + "Attempting to create " + oFS.GetParentFolderName( strPath )
		vbld_Sleep 1500
		CreatePath oFS.GetParentFolderName( strPath )
		oFS.CreateFolder strPath
	End If
End Function



Function vbld_BuildDone(status)
	On Error Resume Next

	Dim objShell
	Dim str
	Dim strFolder
	Dim strLogSource
	Dim strLogDestination
	Dim strDate
	Dim strArchiveLogName
	Dim strCommands
	Dim msg
	Dim dt
	Dim oFS
	
	Set oFS = CreateObject( "Scripting.FileSystemObject" )
	Set objShell = CreateObject( "WScript.Shell" )
	dt = Now

	Application.Macros( vbldMacroProject ).Add "LOGFILE", ""
	
	' Determine if we should display the log files
	If( vbld_AllMacros.Item( "GSS_SHOW_LOGS" ).Value ) Then

		Dim masterLog, errorLog, warningLog

		' determine the log filenames, retrieve with all macros/script expanded
		masterLog = strLogSource
		errorLog = Application.ExpandMacrosAndScript( "%GSS_ERROR_LOG%" )
		warningLog = Application.ExpandMacrosAndScript( "%GSS_WARNING_LOG%" )

		' display the files if they exist
		If oFS.FileExists(masterLog) Then
			objShell.Run chr(34) & masterLog & chr(34),, False
		End If

		If oFS.FileExists(errorLog) Then
			objShell.Run chr(34) & errorLog & chr(34),, False
		End If

		If oFS.FileExists(warningLog) Then
			objShell.Run chr(34) & warningLog & chr(34),, False
		End If

	End If
	
	str = Chr( 34 ) + Application.ExpandMacrosAndScript( "%GSS_AUTOBUILD_ROOT%" ) + "\CmdSMTPEmail.exe" + Chr( 34 )
	str = str + " /s:" + Chr( 34 ) + Application.ExpandMacrosAndScript( "%EMAIL_SUBJECT_PREFIX%" ) + " Completed" + Chr( 34 )
	str = str + " /Server:" + Application.ExpandMacrosAndScript( "%EMAIL_SERVER%" )
	str = str + " /To:" + Chr( 34 ) + Application.ExpandMacrosAndScript( "%GSS_BUILD_MASTERS%" ) + Chr( 34 )

	If oFS.FileExists( Application.ExpandMacrosAndScript( "%LOG_FILE%" ) ) = vbTrue Then
		str = str + " /A:" + Chr( 34 ) + strLogSource + Chr( 34 )
	End If
	
	If vbld_AllMacros.Item( "BUILD_STATUS" ).Value = "FALSE" Then
		str = str + " /h"
	
		msg = "The build of MMSS failed!" + "\r\n" + "\r\n" + "The following Steps failed to build:"
		msg = msg + "\r\n" +  vbld_AllMacros.Item( "FAILED_STEPS" ).Value + "\r\n"
				
		If vbld_AllMacros.Item( "FAILED_PROJECTS" ).Value <> "" Then
			msg = msg + "\r\n" + "The following projects failed to build:" + "\r\n"
			msg = msg + vbld_AllMacros.Item( "FAILED_PROJECTS" ).Value
		End If
	Else
		str = str + " /l"
	
		msg = "The build completed successfully!"
	End If
	
	str = str + " /m:" + Chr( 34 ) + msg + Chr( 34 )

	strDate = CStr( Day( dt ) ) + UCase( MonthName( Month( dt ), vbTrue ) ) + CStr( Year( dt ) ) + "_" + CStr( Hour( dt ) ) + "_" + CStr( Minute( dt ) )
	strCommands = "@ECHO OFF" + vbCrLf + vbCrLf
	strCommands = strCommands + "MD " + Chr( 34 ) + Application.ExpandMacrosAndScript( "%LOGFILE_ARCHIVE_DIR%" ) + Chr( 34 ) + vbCrLf
	strCommands = strCommands + "Copy " + Chr( 34 ) + Application.ExpandMacrosAndScript( "%LOG_FILE%" ) + Chr( 34 ) + " " + Chr( 34 ) + Application.ExpandMacrosAndScript( "%LOGFILE_ARCHIVE_DIR%" ) + "\" + Application.ExpandMacrosAndScript( "%PROJROOT%" ) + "_Build_" + strDate + "." + LogExt() + Chr( 34 ) + vbCrLf
	strCommands = strCommands + str + vbCrLf

	MsgBox strCommands
'	objShell.Run str,, vbTrue

End Function
